#! /usr/bin/nodejs

"use strict";

const fs = require('fs');
const Fax2 = require('./fax2.js');
const credentials = require('./credentials');

const dest_number = '61280763351';

let documents = [];

let fax2 = new Fax2();
fax2.username = credentials.username;
fax2.password = credentials.password;

function wait_for_fax(fax_id) {
	// implement me
	return 0;
}

let pdf_id,text_id;
let pdf_data = fs.readFileSync('sample.pdf');
let text_data = "Sample text document";

fax2.upload_document(pdf_data,'application/pdf').then((data) => {
	let pages;
	pdf_id = data[0];

	return fax2.upload_document(text_data,'text/plain');
}).then((data) => {
	let pages;
	text_id = data[0];
	
	return fax2.send_fax(dest_number,[pdf_id,text_id]);
}).then((data) => {
	let fax_id = data[0];
	let pages = data[1];
	console.log(`fax queued, id is ${fax_id}, ${pages} page(s)`);
	
	return wait_for_fax(fax_id);
}).catch((e) => { console.log("error: ",e); });
